Index: wml_aux/iselect/Makefile.in
--- wml_aux/iselect/Makefile.in.orig	2002-10-18 22:06:44 +0200
+++ wml_aux/iselect/Makefile.in	2005-06-13 13:22:23 +0200
@@ -12,7 +12,7 @@
 
 #   compiler tools
 CC      = @CC@
-CFLAGS  = @CFLAGS@ -I.
+CFLAGS  = @CFLAGS@ -I. @CPPFLAGS@
 LDFLAGS = @LDFLAGS@
 LIBS    = @LIBS@
 debug   = @debug@
Index: wml_common/gd/Makefile.PL.in
--- wml_common/gd/Makefile.PL.in.orig	2000-03-12 17:22:30 +0100
+++ wml_common/gd/Makefile.PL.in	2005-06-13 11:51:23 +0200
@@ -12,8 +12,8 @@
 
     # Uncomment the line below if you're getting link errors
     # having to do with missing math functions (like floor)
-    'LIBS'      =>  ["-lm @LIBPNG@"],
-    'DEFINE'	=> '@DEFS@'
+    'LIBS'      => ["-lm @LIBPNG@ -L/openpkg-dev/lib -lz"],
+    'DEFINE'	=> '@DEFS@ @CPPFLAGS@'
     # Uncomment the line below if you're using a perl compiled
     # for fastCGI (http://www.fastcgi.com/).
     # 'DEFINE'	=> '-DFCGI'

-----------------------------------------------------------------------------

Security Fix (CAN-2005-2491, partially)

Index: wml_backend/p2_mp4h/pcre/pcre.c
--- wml_backend/p2_mp4h/pcre/pcre.c.orig	2002-06-15 23:24:09 +0200
+++ wml_backend/p2_mp4h/pcre/pcre.c	2005-09-05 16:53:43 +0200
@@ -716,12 +716,23 @@
 
 while ((cd->ctypes[*p] & ctype_digit) != 0) min = min * 10 + *p++ - '0';
 
+if (min < 0 || min > 65535)
+  {
+  *errorptr = ERR5;
+  return p;
+  }
+
 if (*p == '}') max = min; else
   {
   if (*(++p) != '}')
     {
     max = 0;
     while((cd->ctypes[*p] & ctype_digit) != 0) max = max * 10 + *p++ - '0';
+    if (max < 0 || max > 65535)
+      {
+      *errorptr = ERR5;
+      return p;
+      }
     if (max < min)
       {
       *errorptr = ERR4;
Index: wml_backend/p3_eperl/eperl_main.c
--- wml_backend/p3_eperl/eperl_main.c.orig	2002-08-08 23:56:26 +0200
+++ wml_backend/p3_eperl/eperl_main.c	2005-09-23 14:55:19 +0200
@@ -265,7 +265,7 @@
     exit(rc);
 }
 
-struct option options[] = {
+static struct option options[] = {
     { "define",         1, NULL, 'd' },
     { "setenv",         1, NULL, 'D' },
     { "includedir",     1, NULL, 'I' },
Index: wml_backend/p3_eperl/eperl_proto.h
--- wml_backend/p3_eperl/eperl_proto.h.orig	2002-10-18 23:48:38 +0200
+++ wml_backend/p3_eperl/eperl_proto.h	2005-09-23 14:55:10 +0200
@@ -53,7 +53,6 @@
 extern void mysighandler(int rc);
 extern void myinit(void);
 extern void myexit(int rc);
-extern struct option options[];
 extern int main(int argc, char **argv, char **env);
 
 /* eperl_parse.c */
